package com.bytedance.ies.ugc.aweme.commercialize.search.service;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.AwemeRawAd;

public interface IPreciseAdService {
    static {
        Covode.recordClassIndex(30767);
    }

    View LIZ(ViewGroup viewGroup, Context context);

    View LIZ(ViewGroup viewGroup, Context context, AwemeRawAd awemeRawAd, View.OnClickListener onClickListener);

    void LIZ();

    void LIZ(AwemeRawAd awemeRawAd, View.OnClickListener onClickListener, View.OnClickListener onClickListener2);

    void LIZIZ();

    void LIZJ();
}
